<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::equalizer::InMemoryEqualizerConfiguration Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1equalizer.html">equalizer</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_in_memory_equalizer_configuration_8h_source.html">InMemoryEqualizerConfiguration.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::equalizer::InMemoryEqualizerConfiguration:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_inherit__map" id="alexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_inherit__map">
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1equalizer_1_1_s_d_k_config_equalizer_configuration.html" title="alexaClientSDK::equalizer\l::SDKConfigEqualizerConfiguration" alt="" coords="5,192,235,231"/>
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::audio\l::EqualizerConfigurationInterface" alt="" coords="12,5,228,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::equalizer::InMemoryEqualizerConfiguration:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_coll__map" id="alexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html" title="alexaClientSDK::avsCommon\l::sdkInterfaces::audio\l::EqualizerConfigurationInterface" alt="" coords="9,5,225,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5a326b4ceed7e7c7bc7525341f9a2405"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a5a326b4ceed7e7c7bc7525341f9a2405">~InMemoryEqualizerConfiguration</a> () override=default</td></tr>
<tr class="separator:a5a326b4ceed7e7c7bc7525341f9a2405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr><td colspan="2"><div class="groupHeader">EqualizerConfigurationInterface functions</div></td></tr>
<tr class="memitem:a63ab6793307ce3b30e0d1d0757ffbc5f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a63ab6793307ce3b30e0d1d0757ffbc5f">isEnabled</a> () const override</td></tr>
<tr class="separator:a63ab6793307ce3b30e0d1d0757ffbc5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0264bc159e277c42cbf36f0080878c8d"><td class="memItemLeft" align="right" valign="top">std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">avsCommon::sdkInterfaces::audio::EqualizerBand</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a0264bc159e277c42cbf36f0080878c8d">getSupportedBands</a> () const override</td></tr>
<tr class="separator:a0264bc159e277c42cbf36f0080878c8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a424701750b77707dcb1f95911cf04e1d"><td class="memItemLeft" align="right" valign="top">std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">avsCommon::sdkInterfaces::audio::EqualizerMode</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a424701750b77707dcb1f95911cf04e1d">getSupportedModes</a> () const override</td></tr>
<tr class="separator:a424701750b77707dcb1f95911cf04e1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1c6844a25a7118785a2a01605d4d960f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a1c6844a25a7118785a2a01605d4d960f">getMinBandLevel</a> () const override</td></tr>
<tr class="separator:a1c6844a25a7118785a2a01605d4d960f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26039ca45ee99d03febdd1bfaf4ab0f2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a26039ca45ee99d03febdd1bfaf4ab0f2">getMaxBandLevel</a> () const override</td></tr>
<tr class="separator:a26039ca45ee99d03febdd1bfaf4ab0f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adce21b695c70cd7241d7dad6367e7c77"><td class="memItemLeft" align="right" valign="top"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">avsCommon::sdkInterfaces::audio::EqualizerState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#adce21b695c70cd7241d7dad6367e7c77">getDefaultState</a> () const override</td></tr>
<tr class="separator:adce21b695c70cd7241d7dad6367e7c77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2281a169ecf9f41f2d0a32d87f059753"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2281a169ecf9f41f2d0a32d87f059753">isBandSupported</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">avsCommon::sdkInterfaces::audio::EqualizerBand</a> band) const override</td></tr>
<tr class="separator:a2281a169ecf9f41f2d0a32d87f059753"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57f4abe411139ebcd58882089a22b5c6"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a57f4abe411139ebcd58882089a22b5c6">isModeSupported</a> (<a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">avsCommon::sdkInterfaces::audio::EqualizerMode</a> mode) const override</td></tr>
<tr class="separator:a57f4abe411139ebcd58882089a22b5c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a></td></tr>
<tr class="memitem:af7b9823e7b2b942ff09ae402a44fa690 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#af7b9823e7b2b942ff09ae402a44fa690">~EqualizerConfigurationInterface</a> ()=default</td></tr>
<tr class="separator:af7b9823e7b2b942ff09ae402a44fa690 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:aacaa1f71cc13fe781f0a1c1ce74daa4c"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#aacaa1f71cc13fe781f0a1c1ce74daa4c">create</a> (int minBandLevel, int maxBandLevel, const std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">avsCommon::sdkInterfaces::audio::EqualizerBand</a> &gt; &amp;bandsSupported, const std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">avsCommon::sdkInterfaces::audio::EqualizerMode</a> &gt; &amp;modesSupported, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">avsCommon::sdkInterfaces::audio::EqualizerState</a> defaultState)</td></tr>
<tr class="separator:aacaa1f71cc13fe781f0a1c1ce74daa4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d75564680a8059840aa6176d1e2ed4e"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a2d75564680a8059840aa6176d1e2ed4e">createDisabled</a> ()</td></tr>
<tr class="separator:a2d75564680a8059840aa6176d1e2ed4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a261ecb7fcc5529cdcf6ab80dc15dbd6f"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a261ecb7fcc5529cdcf6ab80dc15dbd6f">createDefault</a> ()</td></tr>
<tr class="separator:a261ecb7fcc5529cdcf6ab80dc15dbd6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a51fa42831e4b1d08d5321b0a38c60467"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a51fa42831e4b1d08d5321b0a38c60467">InMemoryEqualizerConfiguration</a> (int minBandLevel, int maxBandLevel, const std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">avsCommon::sdkInterfaces::audio::EqualizerBand</a> &gt; &amp;bandsSupported, const std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">avsCommon::sdkInterfaces::audio::EqualizerMode</a> &gt; &amp;modesSupported, <a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">avsCommon::sdkInterfaces::audio::EqualizerState</a> defaultState)</td></tr>
<tr class="separator:a51fa42831e4b1d08d5321b0a38c60467"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75180cfd38ea7340d53a3edecab75616"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a75180cfd38ea7340d53a3edecab75616">InMemoryEqualizerConfiguration</a> ()</td></tr>
<tr class="separator:a75180cfd38ea7340d53a3edecab75616"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41582e94f6e33233366428e648a2ab55"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a41582e94f6e33233366428e648a2ab55">validateConfiguration</a> ()</td></tr>
<tr class="separator:a41582e94f6e33233366428e648a2ab55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28f660b0e5e06bad287ad16eaad076b3"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html#a28f660b0e5e06bad287ad16eaad076b3">validateBandLevelMap</a> (const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap</a> &amp;bandLevelMap, bool validateValues)</td></tr>
<tr class="separator:a28f660b0e5e06bad287ad16eaad076b3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">In-memory implementation for the equalizer configuration. The configuration is set during the creation and is not changed afterwards. This class also holds the hardcoded defaults used by SDK. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a5a326b4ceed7e7c7bc7525341f9a2405"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a326b4ceed7e7c7bc7525341f9a2405">&#9670;&nbsp;</a></span>~InMemoryEqualizerConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::~InMemoryEqualizerConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<a id="a51fa42831e4b1d08d5321b0a38c60467"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a51fa42831e4b1d08d5321b0a38c60467">&#9670;&nbsp;</a></span>InMemoryEqualizerConfiguration() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::InMemoryEqualizerConfiguration </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>minBandLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>maxBandLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">avsCommon::sdkInterfaces::audio::EqualizerBand</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>bandsSupported</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">avsCommon::sdkInterfaces::audio::EqualizerMode</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>modesSupported</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">avsCommon::sdkInterfaces::audio::EqualizerState</a>&#160;</td>
          <td class="paramname"><em>defaultState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">minBandLevel</td><td>Minimum band level supported by the equalizer. </td></tr>
    <tr><td class="paramname">maxBandLevel</td><td>Maximum band level supported by the equalizer. </td></tr>
    <tr><td class="paramname">bandsSupported</td><td>A set of bands supported by the equalizer. </td></tr>
    <tr><td class="paramname">modesSupported</td><td>A set of modes supported by the equalizer. </td></tr>
    <tr><td class="paramname">defaultState</td><td>Default state of the equalizer used when there is no state stored in a persistent storage or when a band level is being reset. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a75180cfd38ea7340d53a3edecab75616"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75180cfd38ea7340d53a3edecab75616">&#9670;&nbsp;</a></span>InMemoryEqualizerConfiguration() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::InMemoryEqualizerConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Constructor creating a disabled configuration. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aacaa1f71cc13fe781f0a1c1ce74daa4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacaa1f71cc13fe781f0a1c1ce74daa4c">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a> &gt; alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::create </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>minBandLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>maxBandLevel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">avsCommon::sdkInterfaces::audio::EqualizerBand</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>bandsSupported</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">avsCommon::sdkInterfaces::audio::EqualizerMode</a> &gt; &amp;&#160;</td>
          <td class="paramname"><em>modesSupported</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">avsCommon::sdkInterfaces::audio::EqualizerState</a>&#160;</td>
          <td class="paramname"><em>defaultState</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Factory to create an instance of <code><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a></code> from the parameters provided.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">minBandLevel</td><td>Minimum band level supported by the equalizer. </td></tr>
    <tr><td class="paramname">maxBandLevel</td><td>Maximum band level supported by the equalizer. </td></tr>
    <tr><td class="paramname">bandsSupported</td><td>A set of bands supported by the equalizer. </td></tr>
    <tr><td class="paramname">modesSupported</td><td>A set of modes supported by the equalizer. </td></tr>
    <tr><td class="paramname">defaultState</td><td>Default state of the equalizer used when there is no state stored in a persistent storage or when a band level is being reset. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An instance of <code><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a></code> on success, or <code>nullptr</code> in case of invalid parameters or inconsistent configuration. </dd></dl>

</div>
</div>
<a id="a261ecb7fcc5529cdcf6ab80dc15dbd6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a261ecb7fcc5529cdcf6ab80dc15dbd6f">&#9670;&nbsp;</a></span>createDefault()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a> &gt; alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::createDefault </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">A factory to create an instance of <code><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a></code> using the hardcoded defaults.</p>
<dl class="section return"><dt>Returns</dt><dd>An instance of <code><a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a></code> using the hardcoded defaults. </dd></dl>

</div>
</div>
<a id="a2d75564680a8059840aa6176d1e2ed4e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d75564680a8059840aa6176d1e2ed4e">&#9670;&nbsp;</a></span>createDisabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1equalizer_1_1_in_memory_equalizer_configuration.html">InMemoryEqualizerConfiguration</a> &gt; alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::createDisabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Factory to create disabled version of the configuration.</p>
<dl class="section return"><dt>Returns</dt><dd>An instance of disabled version of the configuration. </dd></dl>

</div>
</div>
<a id="adce21b695c70cd7241d7dad6367e7c77"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adce21b695c70cd7241d7dad6367e7c77">&#9670;&nbsp;</a></span>getDefaultState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_state.html">EqualizerState</a> alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getDefaultState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns <code>EqualizerState</code> object defining default values for equalizer mode and band levels. These values should be used when resetting any band to its default level.</p>
<dl class="section return"><dt>Returns</dt><dd><code>EqualizerState</code> object representing the default state. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#a49c578dbe538f53bd8305e5aec7c9ec5">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>.</p>

</div>
</div>
<a id="a26039ca45ee99d03febdd1bfaf4ab0f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a26039ca45ee99d03febdd1bfaf4ab0f2">&#9670;&nbsp;</a></span>getMaxBandLevel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getMaxBandLevel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns the maximum band value supported by the device.</p>
<dl class="section return"><dt>Returns</dt><dd>The maximum band value supported by the device. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#afdcde8f2630da0b0a15745f7ae19a9c1">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>.</p>

</div>
</div>
<a id="a1c6844a25a7118785a2a01605d4d960f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1c6844a25a7118785a2a01605d4d960f">&#9670;&nbsp;</a></span>getMinBandLevel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getMinBandLevel </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns the minimum band value supported by the device.</p>
<dl class="section return"><dt>Returns</dt><dd>The minimum band value supported by the device. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#ae3a8baa1c98ed625b390988ebd21c0dc">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>.</p>

</div>
</div>
<a id="a0264bc159e277c42cbf36f0080878c8d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0264bc159e277c42cbf36f0080878c8d">&#9670;&nbsp;</a></span>getSupportedBands()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">EqualizerBand</a> &gt; alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getSupportedBands </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns a set of EQ bands supported by the device.</p>
<dl class="section return"><dt>Returns</dt><dd>A set of EQ bands supported by the device. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#a1987ca15f1f2387afaeeff39e4b7ebdb">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>.</p>

</div>
</div>
<a id="a424701750b77707dcb1f95911cf04e1d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a424701750b77707dcb1f95911cf04e1d">&#9670;&nbsp;</a></span>getSupportedModes()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::set&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">EqualizerMode</a> &gt; alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::getSupportedModes </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns a set of EQ modes supported by the device.</p>
<dl class="section return"><dt>Returns</dt><dd>A set of EQ modes supported by the device. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#a7e61a38bb8c059f9f045891a73cde736">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>.</p>

</div>
</div>
<a id="a2281a169ecf9f41f2d0a32d87f059753"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2281a169ecf9f41f2d0a32d87f059753">&#9670;&nbsp;</a></span>isBandSupported()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::isBandSupported </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#aefac08194235035b5ea98c255dd6081e">avsCommon::sdkInterfaces::audio::EqualizerBand</a>&#160;</td>
          <td class="paramname"><em>band</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks if band is supported by the device.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">band</td><td><code>EqualizerBand</code> to check. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if band is supported, false otherwise. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#a74c5706d897edaa9e03e95008d0f0b07">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>.</p>

</div>
</div>
<a id="a63ab6793307ce3b30e0d1d0757ffbc5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a63ab6793307ce3b30e0d1d0757ffbc5f">&#9670;&nbsp;</a></span>isEnabled()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::isEnabled </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Returns true if equalizer is enabled, false otherwise. </p><dl class="section return"><dt>Returns</dt><dd>True if equalizer is enabled, false otherwise. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#a91afa2232dc80b7b1984ad3a05f4f4b8">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>.</p>

</div>
</div>
<a id="a57f4abe411139ebcd58882089a22b5c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57f4abe411139ebcd58882089a22b5c6">&#9670;&nbsp;</a></span>isModeSupported()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::isModeSupported </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a6ccd1cb28b9957443f33efd5885729a4">avsCommon::sdkInterfaces::audio::EqualizerMode</a>&#160;</td>
          <td class="paramname"><em>mode</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Checks if mode is supported by the device.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">mode</td><td><code>EqualizerMode</code> to check. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if mode is supported, false otherwise. </dd></dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio_1_1_equalizer_configuration_interface.html#acc64bcbe86ffe22b82ba1d9bd2760433">alexaClientSDK::avsCommon::sdkInterfaces::audio::EqualizerConfigurationInterface</a>.</p>

</div>
</div>
<a id="a28f660b0e5e06bad287ad16eaad076b3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a28f660b0e5e06bad287ad16eaad076b3">&#9670;&nbsp;</a></span>validateBandLevelMap()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::validateBandLevelMap </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1audio.html#a9e92dbf094527d2bf8ead4429f0ef9ea">avsCommon::sdkInterfaces::audio::EqualizerBandLevelMap</a> &amp;&#160;</td>
          <td class="paramname"><em>bandLevelMap</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>validateValues</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Validates <code>EqualizerBandLevelMap</code> for consistency.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">bandLevelMap</td><td>A <code>EqualizerBandLevelMap</code> to validate. </td></tr>
    <tr><td class="paramname">validateValues</td><td>A flag indicating whether to check band levels for the allowed range. This could be false for the case when allowed range is inconsistent and there is no point in validating against it. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True if all bands are supported and (optionally) band levels are withing the supported range, false otherwise. </dd></dl>

</div>
</div>
<a id="a41582e94f6e33233366428e648a2ab55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a41582e94f6e33233366428e648a2ab55">&#9670;&nbsp;</a></span>validateConfiguration()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::equalizer::InMemoryEqualizerConfiguration::validateConfiguration </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Validates the initialized configuration for consistency.</p>
<dl class="section return"><dt>Returns</dt><dd>True if configuration is consistent, false otherwise. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/EqualizerImplementations/include/EqualizerImplementations/<a class="el" href="_in_memory_equalizer_configuration_8h_source.html">InMemoryEqualizerConfiguration.h</a></li>
<li>/workplace/avs-device-sdk/EqualizerImplementations/src/<a class="el" href="_in_memory_equalizer_configuration_8cpp.html">InMemoryEqualizerConfiguration.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
